package noauthprobe


import (
	"github.com/google/uuid"
	"testing"

	"encoding/json"
)


func TestCreateUUid(t *testing.T) {

	uu, err := uuid.NewUUID()

	if err != nil {
		t.Fatal(err)
	}

	t.Log(uu)

}

func TestCreateNoAuthAgent(t *testing.T) {

	na := NewNoAuthProbe("233421390283", 111, "Snoop")

	na.TempKey = "1111111"
	na.AuthStatus = "WAIT"

	nas := NewNoAuthProbeService()

	out, err := nas.Save(na)

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)

}

func TestCheckAuthNoAuthAgent(t *testing.T) {

	na := NewNoAuthProbe("2334278390283", 111, "Snoop")

	na.TempKey = "alsdkjf;alkdjsf;la"
	na.AuthStatus = "WAIT"

	nas := NewNoAuthProbeService()

	out, err := nas.CheckAuth(na.TempKey)

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)
	//
}


func TestNoAuthList(t *testing.T) {


	nas := NewNoAuthProbeService()

	out, err := nas.GetList("ACCEPT")

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)

}

func TestRequestAuth(t *testing.T) {
	nas := NewNoAuthProbeService()
	res, err := nas.Read("1")

	na := NoAuthProbe{}
	json.Unmarshal([]byte(res), na)

	newone, err := nas.RequestAuth(na, "1", "test")
	if err!= nil {
		t.Fatal(err)
	}
	t.Log(newone)
}


func TestCheckAuth(t *testing.T) {


	ns := NewNoAuthProbeService()

	str, err := ns.CheckAuth("3398473-90847903874")
	if err != nil {
		t.Fatal(err)
	}

	t.Log(str)

}